import 'package:at_client/at_client.dart';
import 'package:at_client/src/manager/at_client_manager.dart';
import 'package:meta/meta.dart';

import 'test_util.dart';

void main() async {
  try {
    final atSign = '@sitaram';
    var atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(atSign, 'wavi', TestUtil.getSitaramPreference());

    var result = await atClientManager.atClient.getKeys(showHiddenKeys: true);
    for (var key in result) {
      print(key.toString());
    }
    // var res = await atClientManager.atClient.get(AtKey()
    //   ..key = '__key3'
    //   ..namespace = 'wavi'
    //   ..metadata = (Metadata()..isPublic = true));
    // print(res);
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
}
