import 'package:at_client/at_client.dart';
import 'package:at_client/src/manager/at_client_manager.dart';

// import 'package:at_client/src/presence_service/at_presence_service.dart';
// import 'package:at_client/src/presence_service/presence_model.dart';
import 'package:at_utils/at_logger.dart';

import 'test_util.dart';

void main() async {
  AtSignLogger.root_level = 'finer';
  final atSign = '@sitaram';
  var atClientManager = await AtClientManager.getInstance()
      .setCurrentAtSign(atSign, 'wavi', TestUtil.getSitaramPreference());
  final atClient = atClientManager.atClient;

  var metaData = Metadata()..isPublic = true;

  var atKey = AtKey()
    ..key = '__key2'
    ..namespace = 'wavi'
    ..sharedBy = atSign
    ..metadata = metaData;

  await atClient.put(atKey, '1234');
}
