import 'dart:io';
import 'package:at_client/at_client.dart';
import 'test_util.dart';

void main() async {
  try {
    final atsign = '@sitaram';
    final preference = TestUtil.getSitaramPreference();
    var atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(atsign, 'wavi', preference);
    var atClient = atClientManager.atClient;
    var respones = await atClientManager.notificationService
        .notify(NotificationParams.forUpdate(
            (AtKey()
              ..key = 'phone'
              ..namespace = 'wavi'
              ..sharedWith = '@murali'),
            value: '12354'));
    print(respones);
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
  exit(1);
}
